org.apache.ignite.internal.cache.query.index.sorted

## Interface IndexRowComparator

All Known Implementing Classes:
  IndexRowCompartorImpl

    public interface IndexRowComparator

Comparator for index rows.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `compareKey(IndexRow left, IndexRow right, int idx)` Compare index keys.
`int` `compareKey(long pageAddr, int off, int maxSize, IndexKey key, int curType)` Compare index keys.

### Method Detail

#### compareKey

    int compareKey(long pageAddr,
                   int off,
                   int maxSize,
                   IndexKey key,
                   int curType)
            throws IgniteCheckedException

Compare index keys.

Parameters:
  `pageAddr` - address of an index row.
  `off` - offset of an index key.
  `maxSize` - max size to read.
  `key` - key to compare with.
  `curType` - type of an index key.
Throws:
  `IgniteCheckedException`

#### compareKey

    int compareKey(IndexRow left,
                   IndexRow right,
                   int idx)
            throws IgniteCheckedException

Compare index keys.

Parameters:
  `left` - index row.
  `right` - index row.
  `idx` - offset of index key.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021